Subject: bug#6010: 24.0.50; setting-constant enable-multibyte-characters

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 23 Apr 2010 16:50:28 +0900

Hi,

I got the following error when sending the bug#6009 report
containing the attachment bt.gz to [email-masked]:

Debugger entered--Lisp error: (setting-constant enable-multibyte-characters)
  set-default(enable-multibyte-characters nil)
  mm-find-buffer-file-coding-system("~/bt.gz")
  mml-generate-mime-1((part (type . "application/octet-stream") (filename . "~/bt.gz") (disposition . "attachment") (tag-location . 320) (contents . "")))
  mml-generate-mime-1((multipart (type . "mixed") (part (type . "text/plain") (contents . "test.\n\n")) (part (type . "application/octet-stream") (filename . "~/bt.gz") (disposition . "attachment") (tag-location . 320) (contents . ""))))
  mml-generate-mime()
  message-encode-message-body()
  message-send-mail(nil)
  my-message-send-via-mail(nil)
  message-send(nil)
  message-send-and-exit(nil)
  call-interactively(message-send-and-exit nil nil)

(I used the old mm-util.el instead then.)

It seems a matter of course, however I've never encountered such
an error for these months IIRC.  You can reproduce the same error
now by evaluating:

(letf (((default-value 'enable-multibyte-characters) nil))
  (generate-new-buffer " *temp*"))

The relevant ChangeLog entry is:

2009-09-04  Glenn Morris  <[email-masked]>
[...]
	* mm-util.el (mm-with-unibyte-current-buffer)
	(mm-find-buffer-file-coding-system):
	* yenc.el (yenc-decode-region): Use default-value rather than
	default-enable-multibyte-characters.

Regards,